Skip to main content
GET
/
v2
/
portfolio
/
total-returns
/
{userAddress}
/
{network}
/
{vaultAddress}
cURL
curl --request GET \
  --url https://api.vaults.fyi/v2/portfolio/total-returns/{userAddress}/{network}/{vaultAddress} \
  --header 'x-api-key: <api-key>'
{
  "address": "<string>",
  "assetCaip": "<string>",
  "name": "<string>",
  "symbol": "<string>",
  "decimals": 123,
  "assetGroup": "<string>",
  "returnsNative": "<string>",
  "assetLogo": "<string>",
  "assetPriceInUsd": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

userAddress
string
required

User address to get returns for

Pattern: ^0x[a-fA-F0-9]{40}$
network
enum<string>
required

Network to get returns for

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
vaultAddress
string
required

Vault address to get returns for

Pattern: ^0x[a-fA-F0-9]{40}$

Response

Default Response

address
string
required

Address of the asset

Pattern: ^0x[a-fA-F0-9]{40}$
assetCaip
string
required

CAIP-2 of the asset

Pattern: ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
name
string
required

Name of the asset

symbol
string
required

Symbol of the asset

decimals
integer
required

Number of decimals of the asset

assetGroup
string
required

Group of the asset, e.g., ETH, USD, EURO, BTC, OTHER

returnsNative
string
required

Total returns in native token amount

URL of the asset logo

assetPriceInUsd
string

Price of the asset in USD